---
template: overrides/main.html
---

The query history function is mainly used to mark some of our query records for each data source.

Move the mouse to the top menu `Query` and wait for the drop-down options to appear, click `History` to enter the query history interface, which is similar to the following page

![Query History](/assets/images/query/query_history.png)

On the top right side of the page we can see the <img src="/assets/images/query/clear_history.png" width="80" > button, which is used to clear all the query history, when clicked, the query history displayed here will be cleared!

#### Field Description

---

|Field| Meaning                                                                          |
|---|----------------------------------------------------------------------------------|
|ID| The MD5 tag generated by this query is used to mark the uniqueness of this query |
|Server| The remote service tag (i.e. the data source) of the query call                  |
|State| The current query status, 1: query failed, 0: query successful                   |
|StartTime| Query the start timestamp                                                        |
|EndTime| Query the end timestamp                                                          |
|ElapsedTime| The total time spent on this query (in milliseconds)                                                                |

!!! warning "Warning"

    In the list, we can see that we use special colors to highlight the records that failed to query

### Action

---

#### Get query ddl

:octicons-search-16:{ .blue } The button is used to view the SQL statement of this query

![Query DDL](/assets/images/query/query_ddl.png)

#### Query error

:warning:{ .red } The button is used to view the error information after this execution fails, it only takes effect after the query fails

![Query Error](/assets/images/query/query_error.png)

#### Delete

:material-delete-circle-outline:{.red} The button is used to delete this query record

![img.png](../../assets/images/query/img.png)
